# pandas.Period

class pandas.Period(value=None, freq=None, ordinal=None, year=None, month=None, quarter=None, day=None, hour=None, minute=None, second=None)

  Represents a period of time.

  Parameters
    value Period or str, default None

      The time period represented (e.g., ‘4Q2005’).

    freq str, default None

      One of pandas period strings or corresponding objects.

    ordinal int, default None

      The period offset from the proleptic Gregorian epoch.

    year int, default None

      Year value of the period.

    month int, default 1

      Month value of the period.

    quarter int, default None

      Quarter value of the period.

    day int, default 1

      Day value of the period.

    hour int, default 0

      Hour value of the period.

    minute int, default 0

      Minute value of the period.

    second int, default 0

      Second value of the period.

  Attributes

  `day` | Get day of the month that a Period falls on.
  `day_of_week` | Day of the week the period lies in, with Monday=0 and Sunday=6.
  `day_of_year` | Return the day of the year.
  `dayofweek` | Day of the week the period lies in, with Monday=0 and Sunday=6.
  `dayofyear` | Return the day of the year.
  `days_in_month` | Get the total number of days in the month that this period falls on.
  `daysinmonth` | Get the total number of days of the month that the Period falls in.
  `hour` | Get the hour of the day component of the Period.
  `minute` | Get minute of the hour component of the Period.
  `qyear` | Fiscal year the Period lies in according to its starting-quarter.
  `second` | Get the second component of the Period.
  `start_time` | Get the Timestamp for the start of the period.
  `week` | Get the week of the year on the given Period.
  `weekday` | Day of the week the period lies in, with Monday=0 and Sunday=6.

  end_time |
  freq |
  freqstr |
  is_leap_year |
  month |
  ordinal |
  quarter |
  weekofyear |
  year |

  Methods

  `asfreq` | Convert Period to desired frequency, at the start or end of the interval.
  `strftime` | Returns the string representation of the `Period`, depending on the selected `fmt`.
  `to_timestamp` | Return the Timestamp representation of the Period.

  now |